Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.net
Interface URLStreamHandlerFactory

    public interface URLStreamHandlerFactory

This interface defines a factory for `URL` stream protocol handlers.

It is used by the `URL` class to create a `URLStreamHandler` for a specific protocol.

Since:
  JDK1.0
See Also:
  `URL`, `URLStreamHandler`

Method Summary
`URLStreamHandler` | `createURLStreamHandler(String protocol)` Creates a new `URLStreamHandler` instance with the specified protocol.

Method Detail

### createURLStreamHandler

    URLStreamHandler createURLStreamHandler(String protocol)

  Creates a new `URLStreamHandler` instance with the specified protocol.

  Parameters:
    `protocol` - the protocol ("`ftp`", "`http`", "`nntp`", etc.).
  Returns:
    a `URLStreamHandler` for the specific protocol.
  See Also:
    `URLStreamHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.